# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define __libtoolize /bin/true

%define name    passwordcreator
%define version 1.1.2
%define release 1.2006mcnl
%define summary A random password creator
%define section System/Other
%define title   %{name}

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:            http://www.kde-apps.org/content/show.php?content=16690
License:        GPL
Group:          System/Other
Packager:       Marco Meijer <marco@mandrivaclub.nl>

Source0:        16690-%{name}-%{version}.tar.gz
Patch0:		%{name}.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
BuildRequires:   libxfree86-devel libkdebase4-devel 

%description
Password Creator is a great tool to generate passwords with criteria like uppercase letters, numbers or even specified characters.

It has virtually no limitation on the pasword length and the password quantity or the characters to use.

/!\ Please reptort bugs or features at http://www.vilers.net/post.php

%prep
rm -rf %{buildroot}
%setup -q -n %{name}
%patch0 -p1



%build 

qmake -o Makefile passwordcreator.pro
qmake -o src/Makefile src/src.pro


%make

%install

mkdir -p %{buildroot}%{_bindir}
%{__cp} ./bin/passwordcreator %{buildroot}%{_bindir}

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="password.png" \
section="%section" \
title="%name" \
longtitle="%summary"
EOF


%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf %{buildroot}


%files 
%defattr(-,root,root,0755) 
%doc CHANGELOG COPYING AUTHORS

%{_bindir}/*
   
%{_libdir}/*



%changelog 

*Sun Oct 16 2005 Marco Meijer <marco@mandrivaclub.nl> 1.1.2-1.2006mcnl
Mandriva 2006 rebuild

* Sun Oct 17 2004 Marco Meijer <marco@mandrivaclub.nl> 1.1.2-1mcnl
new version
- Fixed the excellent rating bug when one character length.
- Fixed pronoucable passwords to not start with two vowels.

* Wed Oct 6 2004 Marco Meijer <marco@mandrivaclub.nl> 1.1.1-1mcnl
new release


